## kalarmcal 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(KAlarmCal VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)




set(KALARM_LIB_VERSION ${PIM_VERSION})

set(CALENDARUTILS_LIB_VERSION "5.13.3")
set(IDENTITYMANAGER_LIB_VERSION "5.13.3")
set(AKONADI_LIB_VERSION "5.13.3")
ecm_setup_version(PROJECT VARIABLE_PREFIX KALARMCAL
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)


find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGER_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)

add_definitions(-DQT_NO_FOREACH)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

########### Targets ###########

add_subdirectory(src)
add_subdirectory(serializers)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AlarmCalendar")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5AlarmCalendarConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5AlarmCalendarTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AlarmCalendarTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

install(FILES kalarmcal.renamecategories kalarmcal.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkalarmcal5\")
########### next target ###############
set(kalarmcal_LIB_SRCS
    kacalendar.cpp
    karecurrence.cpp
    akonadi.cpp
    alarmtext.cpp
    identities.cpp
    kaevent.cpp
    kadatetime.cpp
    datetime.cpp
    repetition.cpp
    version.cpp
    collectionattribute.cpp
    compatibilityattribute.cpp
    eventattribute.cpp
)

ecm_qt_declare_logging_category(kalarmcal_LIB_SRCS HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal)

add_library(KF5AlarmCalendar ${kalarmcal_LIB_SRCS})

generate_export_header(KF5AlarmCalendar BASE_NAME kalarmcal)

add_library(KF5::AlarmCalendar ALIAS KF5AlarmCalendar)

target_link_libraries(KF5AlarmCalendar
PUBLIC
                      KF5::ConfigCore
                      KF5::I18n
                      KF5::Holidays
                      KF5::IdentityManagement
                      KF5::CoreAddons
                      KF5::CalendarCore
                      KF5::AkonadiCore
PRIVATE
)

set_target_properties(KF5AlarmCalendar PROPERTIES
      VERSION ${KALARMCAL_VERSION_STRING}
      SOVERSION ${KALARMCAL_SOVERSION}
      EXPORT_NAME AlarmCalendar
)


target_include_directories(KF5AlarmCalendar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal>")
target_include_directories(KF5AlarmCalendar PUBLIC "$<BUILD_INTERFACE:${KAlarmCal_SOURCE_DIR}/src;${KAlarmCal_BINARY_DIR}/src>")


install(TARGETS KF5AlarmCalendar EXPORT KF5AlarmCalendarTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


ecm_generate_headers(KAlarmCal_CamelCase_HEADERS
  HEADER_NAMES
  Akonadi
  AlarmText
  CollectionAttribute
  CompatibilityAttribute
  DateTime
  KADateTime
  EventAttribute
  KACalendar
  KAEvent
  KARecurrence
  Repetition
  PREFIX KAlarmCal
  REQUIRED_HEADERS KAlarmCal_HEADERS
)


install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_export.h
        identities.h
        kacalendar.h
        version.h
        ${KAlarmCal_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/kalarmcal
        COMPONENT Devel
)
install(FILES
        ${KAlarmCal_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/KAlarmCal/
        COMPONENT Devel
)


ecm_generate_pri_file(BASE_NAME KAlarmCal LIB_NAME KF5AlarmCalendar DEPS "Holidays IdentityManagement CoreAddons CalendarCore AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kalarmcal (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:57:21 +0100

kalarmcal (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:02 +0100

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:19.12.3~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5identitymanagement-dev (>= 19.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal

Package: libkf5alarmcalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5alarmcalendar5abi2 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5holidays-dev (>= 1:5.31.0~),
         libkf5identitymanagement-dev (>= 19.12.3~),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         ${misc:Depends},
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AlarmCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5alarmcalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.03.70~)
Replaces: kdepim-runtime (<< 4:18.03.70~)
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

## kalarmcal 20.08.1

=== debian/changelog ===
kalarmcal (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:04 +0100

kalarmcal (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:19:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:19.12.3~),
+               libkf5calendarutils-dev (>= 4:20.08.1~),
                libkf5holidays-dev (>= 1:5.31.0~),
-               libkf5identitymanagement-dev (>= 19.12.3~),
+               libkf5identitymanagement-dev (>= 20.08.1~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
 Standards-Version: 3.9.6
@@ -32,11 +32,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
          libkf5alarmcalendar5abi2 (= ${binary:Version}),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkf5holidays-dev (>= 1:5.31.0~),
-         libkf5identitymanagement-dev (>= 19.12.3~),
+         libkf5identitymanagement-dev (>= 20.08.1~),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends},
 Description: library for handling kalarm calendar data - development files

## kalarmcal 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 
 project(KAlarmCal VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -26,9 +26,9 @@
 
 set(KALARM_LIB_VERSION ${PIM_VERSION})
 
-set(CALENDARUTILS_LIB_VERSION "5.13.3")
-set(IDENTITYMANAGER_LIB_VERSION "5.13.3")
-set(AKONADI_LIB_VERSION "5.13.3")
+set(CALENDARUTILS_LIB_VERSION "5.15.3")
+set(IDENTITYMANAGER_LIB_VERSION "5.15.3")
+set(AKONADI_LIB_VERSION "5.15.3")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KALARMCAL
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
@@ -47,10 +47,11 @@
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_FOREACH)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_NO_KEYWORDS)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ########### Targets ###########
 
@@ -84,7 +85,12 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
 )
 
-install(FILES kalarmcal.renamecategories kalarmcal.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+        EXPORT KALARMCAL
+        FILE kalarmcal.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
+
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,12 @@
     eventattribute.cpp
 )
 
-ecm_qt_declare_logging_category(kalarmcal_LIB_SRCS HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal)
+ecm_qt_declare_logging_category(kalarmcal_LIB_SRCS HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal
+        DESCRIPTION "kalarmcal (kalarmcal)"
+        OLD_CATEGORY_NAMES log_kalarmcal
+        EXPORT KALARMCAL
+    )
+
 
 add_library(KF5AlarmCalendar ${kalarmcal_LIB_SRCS})
 
@@ -57,12 +62,14 @@
   CollectionAttribute
   CompatibilityAttribute
   DateTime
+  EventAttribute
+  Identities
+  KACalendar
   KADateTime
-  EventAttribute
-  KACalendar
   KAEvent
   KARecurrence
   Repetition
+  Version
   PREFIX KAlarmCal
   REQUIRED_HEADERS KAlarmCal_HEADERS
 )
@@ -70,9 +77,6 @@
 
 install(FILES
         ${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_export.h
-        identities.h
-        kacalendar.h
-        version.h
         ${KAlarmCal_HEADERS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/kalarmcal
         COMPONENT Devel
@@ -86,5 +90,3 @@
 
 ecm_generate_pri_file(BASE_NAME KAlarmCal LIB_NAME KF5AlarmCalendar DEPS "Holidays IdentityManagement CoreAddons CalendarCore AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
-
-

=== debian/changelog ===
kalarmcal (4:20.08.3-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Disable fixfilepath feature, as it triggers build failures when
    enabled (Closes: #972734).

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:48:49 +0100

kalarmcal (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:08:36 +0200

kalarmcal (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:54 +0200

kalarmcal (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Make libkf5alarmcalendar5abi1 require a not older than itself version of
    libkf5alarmcalendar-data.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/kalarmcal.categories, and
    /etc/xdg/kalarmcal.renamecategories conffiles.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 02 Sep 2020 18:48:52 +0200

kalarmcal (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:21 +0200

kalarmcal (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Wrap long lines in changelog entries: 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:23:02 +0200

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5calendarutils-dev (>= 4:20.08.3~),
               libkf5config-dev (>= 5.71.0~),
               libkf5holidays-dev (>= 1:5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5identitymanagement-dev (>= 20.08.3~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev,
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/kalarmcal
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarmcal
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarmcal.git
Rules-Requires-Root: no

Package: libkf5alarmcalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for handling kalarm calendar data - arch independent files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the arch independent data for KAlarmCalendar.

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.08.3~),
         libkf5alarmcalendar5abi1 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 5:5.71.0~),
         libkf5holidays-dev (>= 1:5.71.0~),
         libkf5identitymanagement-dev (>= 20.08.3~),
         ${misc:Depends}
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AlarmCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5alarmcalendar-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
override_dh_auto_test:
	xvfb-run --\
	           dh_auto_test --no-parallel

## kalarmcal 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+set(PIM_VERSION "5.16.3")
 
 project(KAlarmCal VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.75.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,13 +22,9 @@
 include(ECMQtDeclareLoggingCategory)
 
 
-
-
-set(KALARM_LIB_VERSION ${PIM_VERSION})
-
-set(CALENDARUTILS_LIB_VERSION "5.15.3")
-set(IDENTITYMANAGER_LIB_VERSION "5.15.3")
-set(AKONADI_LIB_VERSION "5.15.3")
+set(CALENDARUTILS_LIB_VERSION "5.16.3")
+set(IDENTITYMANAGER_LIB_VERSION "5.16.3")
+set(AKONADI_LIB_VERSION "5.16.3")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KALARMCAL
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
@@ -36,20 +32,19 @@
 )
 
 ########### Find packages ###########
+find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
-
 
 find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGER_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_NO_KEYWORDS)
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054C00)
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
@@ -93,5 +88,4 @@
 
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
 ki18n_install(po)

=== debian/changelog ===
kalarmcal (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:27 +0000

kalarmcal (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:50:51 +0000

kalarmcal (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:08:05 +0000

kalarmcal (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Refresh enable_debian_abi_manager.diff
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:23:39 +0000

kalarmcal (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:48:25 +0000

=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:20.12.3~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5identitymanagement-dev (>= 20.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarmcal

Package: libkf5alarmcalendar-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.03.70~), ${kde-l10n:all}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.12.3~),
         libkf5alarmcalendar5abi2 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5holidays-dev (>= 1:5.31.0~),
         libkf5identitymanagement-dev (>= 20.12.3~),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         ${misc:Depends},
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AlarmCalendar
Architecture: any
Multi-Arch: same
Depends: libkf5alarmcalendar-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.03.70~)
Replaces: kdepim-runtime (<< 4:18.03.70~)
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

## kalarmcal 21.08.1

=== debian/changelog ===
kalarmcal (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:55 +0100

kalarmcal (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:59:07 +0100

kalarmcal (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:51:45 +0100

kalarmcal (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:42:27 +0100

kalarmcal (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:39:56 +0100

kalarmcal (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:36:17 +0100

kalarmcal (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:03:05 +0100

kalarmcal (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Refreshed patch enable_debian_abi_manager.diff
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:31:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:20.12.3~),
+               libkf5calendarutils-dev (>= 4:21.08.1~),
                libkf5holidays-dev (>= 1:5.31.0~),
-               libkf5identitymanagement-dev (>= 20.12.3~),
+               libkf5identitymanagement-dev (>= 21.08.1~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
 Standards-Version: 3.9.6
@@ -32,11 +32,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:20.12.3~),
+Depends: libkf5akonadi-dev (>= 4:21.08.1~),
          libkf5alarmcalendar5abi2 (= ${binary:Version}),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkf5holidays-dev (>= 1:5.31.0~),
-         libkf5identitymanagement-dev (>= 20.12.3~),
+         libkf5identitymanagement-dev (>= 21.08.1~),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends},
 Description: library for handling kalarm calendar data - development files

## kalarmcal 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
-cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.16.3")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "5.19.3")
 
 project(KAlarmCal VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.75.0")
+set(KF5_MIN_VERSION "5.87.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
@@ -20,11 +20,13 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
+include(ECMAddQch)
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
-
-set(CALENDARUTILS_LIB_VERSION "5.16.3")
-set(IDENTITYMANAGER_LIB_VERSION "5.16.3")
-set(AKONADI_LIB_VERSION "5.16.3")
+set(CALENDARUTILS_LIB_VERSION "5.19.3")
+set(IDENTITYMANAGER_LIB_VERSION "5.19.3")
+set(AKONADI_LIB_VERSION "5.19.3")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KALARMCAL
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AlarmCalendarConfigVersion.cmake"
@@ -41,13 +43,14 @@
 find_package(KF5IdentityManagement ${IDENTITYMANAGER_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
 
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054C00)
-set(CMAKE_CXX_STANDARD 14)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
 
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
+if (USE_UNITY_CMAKE_SUPPORT)
+    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+endif()
 ########### Targets ###########
 
 add_subdirectory(src)
@@ -87,5 +90,16 @@
         )
 
 
+ki18n_install(po)
+
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5AlarmCalendar_QCH
+        FILE KF5AlarmCalendarQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5AlarmCalendarQchTargets.cmake\")")
+endif()
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt5DBus CONFIG REQUIRED)
find_package(Qt5Test CONFIG REQUIRED)

macro(macro_unit_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    add_test(NAME ${_testname} COMMAND ${_testname})
    ecm_mark_as_test(${_testname})
    target_link_libraries(${_testname}
        KF5AlarmCalendar
        Qt::DBus
        Qt::Test)
  endforeach()
endmacro()
if (NOT WIN32)
macro_unit_tests(
    kadatetimetest
    kaeventtest
)
else()
    MESSAGE(STATUS "REACTIVATE AUTOTEST on WINDOWS")
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkalarmcal5\")
 ########### next target ###############
-set(kalarmcal_LIB_SRCS
+add_library(KF5AlarmCalendar)
+add_library(KF5::AlarmCalendar ALIAS KF5AlarmCalendar)
+
+target_sources(KF5AlarmCalendar PRIVATE
     kacalendar.cpp
     karecurrence.cpp
     akonadi.cpp
@@ -14,20 +17,33 @@
     collectionattribute.cpp
     compatibilityattribute.cpp
     eventattribute.cpp
+    kacalendar.h
+    karecurrence.h
+    akonadi.h
+    alarmtext.h
+    identities.h
+    kaevent.h
+    kadatetime.h
+    datetime.h
+    repetition.h
+    version.h
+    collectionattribute.h
+    compatibilityattribute.h
+    eventattribute.h
 )
 
-ecm_qt_declare_logging_category(kalarmcal_LIB_SRCS HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal
+ecm_qt_declare_logging_category(KF5AlarmCalendar HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal
         DESCRIPTION "kalarmcal (kalarmcal)"
         OLD_CATEGORY_NAMES log_kalarmcal
         EXPORT KALARMCAL
     )
-
-
-add_library(KF5AlarmCalendar ${kalarmcal_LIB_SRCS})
+if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+    set_target_properties(KF5AlarmCalendar PROPERTIES UNITY_BUILD ON)
+endif()
 
 generate_export_header(KF5AlarmCalendar BASE_NAME kalarmcal)
 
-add_library(KF5::AlarmCalendar ALIAS KF5AlarmCalendar)
+
 
 target_link_libraries(KF5AlarmCalendar
 PUBLIC
@@ -42,7 +58,7 @@
 )
 
 set_target_properties(KF5AlarmCalendar PROPERTIES
-      VERSION ${KALARMCAL_VERSION_STRING}
+      VERSION ${KALARMCAL_VERSION}
       SOVERSION ${KALARMCAL_SOVERSION}
       EXPORT_NAME AlarmCalendar
 )
@@ -88,5 +104,30 @@
 )
 
 
-ecm_generate_pri_file(BASE_NAME KAlarmCal LIB_NAME KF5AlarmCalendar DEPS "Holidays IdentityManagement CoreAddons CalendarCore AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/)
+ecm_generate_pri_file(BASE_NAME KAlarmCal LIB_NAME KF5AlarmCalendar DEPS "KHolidays KIdentityManagement KCoreAddons KCalendarCore AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/)
+
+if (BUILD_QCH)
+    ecm_add_qch(
+        KF5AlarmCalendar_QCH
+        NAME KF5AlarmCalendar
+        BASE_NAME KF5AlarmCalendar
+        VERSION ${PIM_VERSION}
+        ORG_DOMAIN org.kde
+        SOURCES # using only public headers, to cover only public API
+            ${KAlarmCal_HEADERS}
+        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
+        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
+        LINK_QCHS
+            Qt5Core_QCH
+            Qt5Gui_QCH
+            Qt5Widgets_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
+        BLANK_MACROS
+            KALARMCAL_EXPORT
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
+    )
+endif()
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kalarmcal (4:21.12.3-0xneon+22.04+jammy+release+build1) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Apr 2022 06:28:26 +0000

kalarmcal (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:58:41 +0000

kalarmcal (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:02:30 +0000

kalarmcal (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:12:36 +0000

kalarmcal (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:23 +0000

kalarmcal (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021.12.27:56 +0000

kalarmcal (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:49:28 +0000

kalarmcal (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.01:37 +0000

kalarmcal (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:51:56 +0000

kalarmcal (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:20:09 +0000

kalarmcal (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:57:04 +0000

kalarmcal (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:12:18 +0000

kalarmcal (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.23:26 +0000

kalarmcal (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:32:30 +0000

kalarmcal (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:05:20 +0000

kalarmcal (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:20:35 +0000

kalarmcal (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:19:38 +0000

kalarmcal (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:13:41 +0000

kalarmcal (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:37:16 +0000

kalarmcal (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:22:27 +0000

kalarmcal (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:45:03 +0000

kalarmcal (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 10:56:42 +0000

kalarmcal (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:44:35 +0000

kalarmcal (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:14:58 +0000

kalarmcal (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:50:19 +0000

kalarmcal (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:07:53 +0000

kalarmcal (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:07:33 +0000

kalarmcal (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:21:04 +0000

kalarmcal (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:18:23 +0000

kalarmcal (4:19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:34:16 +0000

kalarmcal (4:19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 09:58:51 +0000

kalarmcal (4:19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:32:12 +0000

kalarmcal (4:19.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 14:09:21 +0000

kalarmcal (4:18.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2019 15:01:08 +0000

kalarmcal (4:18.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Feb 2019 10:57:45 +0000

kalarmcal (4:18.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Jan 2019 13:18:46 +0000

kalarmcal (4:18.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Dec 2018 15:42:19 +0000

kalarmcal (4:18.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Nov 2018 19:33:57 +0000

kalarmcal (4:18.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Oct 2018 21:32:26 +0000

kalarmcal (4:18.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Sep 2018 13:30:31 +0000

kalarmcal (4:18.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Aug 2018 12:33:39 +0000

kalarmcal (4:18.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Jul 2018 17:21:27 +0000

kalarmcal (4:18.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Jun 2018 13:03:52 +0000

kalarmcal (4:18.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 May 2018 10:30:34 +0000

kalarmcal (4:18.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Apr 2018 14:51:58 +0000

kalarmcal (4:17.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Mar 2018 15:09:07 +0000



=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5calendarutils-dev,
               libkf5holidays-dev (>= 15.12~),
               libkf5holidays-dev (>= 16.04),
               libkf5identitymanagement-dev (>= 15.12~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Git: https://invent.kde.org/neon/kde/kalarmcal.git
Vcs-Browser: https://invent.kde.org/neon/kde/kalarmcal
Maintainer: Neon CI <neon@kde.org>

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:15.12~),
         libkf5alarmcalendar5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:15.12~),
         libkf5holidays-dev (>= 15.12~),
         libkf5identitymanagement-dev (>= 15.12~),
         libkf5kdelibs4support-dev (>= 5.19.0~),
         ${misc:Depends}
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.04), ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.04), ${kde-l10n:all}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5alarmcalendar-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/tests/control ===
#  Tests: testsuite
#  Depends: @, @builddeps@, build-essential,
#          dbus-x11
#  Restrictions: build-needed
